#
#   Copyright 2019 The European Language Grid
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.
#
# This file contains the standard ELG status messages, translations should
# be placed in files named elg-messages_LANG.properties alongside this file.
#

# general bad request errors
elg.request.invalid=Invalid request message
elg.request.missing=No request provided in message
elg.request.type.unsupported=Request type {0} not supported by this service
elg.request.property.unsupported=Unsupported property {0} in request

elg.request.too.large=Request size too large

elg.request.parameter.missing=Required parameter {0} missing from request
elg.request.parameter.invalid=Value "{1}" is not valid for parameter {0}

# Errors specific to text requests
elg.request.text.mimeType.unsupported=MIME type {0} not supported by this service

# Errors specific to audio requests
elg.request.audio.format.unsupported=Audio format {0} not supported by this service
elg.request.audio.sampleRate.unsupported=Audio sample rate {0} not supported by this service

# Errors specific to image requests
elg.request.image.format.unsupported=Image format {0} not supported by this service

# Errors specific to structured text requests
elg.request.structuredText.property.unsupported=Unsupported property {0} in "texts" of structuredText request

# General bad response errors
elg.response.invalid=Invalid response message
elg.response.type.unsupported=Response type {0} not supported

# Unknown property in response
elg.response.property.unsupported=Unsupported property {0} in response
elg.response.texts.property.unsupported=Unsupported property {0} in "texts" of texts response
elg.response.classification.property.unsupported=Unsupported property {0} in "classes" of classification response

# User requested a service that does not exist
elg.service.not.found=Service {0} not found
elg.async.call.not.found=Async call {0} not found

# Permission problems
elg.permissions.quotaExceeded=Authorized quota exceeded
elg.permissions.accessDenied=Access denied
elg.permissions.accessManagerError=Error in access manager: {0}

# Temporary file storage service
elg.file.not.found=File {0} not found
elg.file.expired=Requested file {0} no longer available
elg.upload.too.large=Upload too large

# generic internal error when there's no more specific option
elg.service.internalError=Internal error during processing: {0}
